Update Cardholder by Cardholder ID in C2P
Send a request to this endpoint to modify a cardholder’s details in C2P. You may update the email ID and/or the phone number.
PUT
/
v1
/
click2pay
/
VISA
/
update
/
customer
/
{customerId}
Update Cardholder by Cardholder ID in C2P
curl --request PUT \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customerBID": "123456",
"overrides": {
"emails": [
"alex123@hotmail.com"
],
"phones": [
"16504005555"
]
}
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}"
payload = {
"customerBID": "123456",
"overrides": {
"emails": ["alex123@hotmail.com"],
"phones": ["16504005555"]
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerBID: '123456',
overrides: {emails: ['alex123@hotmail.com'], phones: ['16504005555']}
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/update/customer/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestTraceId": "351562ba-83cf-11ee-b962-0242ac120002"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The cardholder id of which cardholder you want to update.
Query Parameters
The audit user to log the request.
Body
application/json
Unique identifier assigned to each issuer. Note: If you are using our BIN sponsorship, we provide you the customerBID; else, Visa provides you the customerBID.
Example:
"123456"
Customer overrides are used to override the customer information that is stored in the Visa C2P.
Show child attributes
Show child attributes
Response
Accepted
Unique identifier of the request
Required string length:
36Example:
"351562ba-83cf-11ee-b962-0242ac120002"
Was this page helpful?
⌘I
Update Cardholder by Cardholder ID in C2P

